# AP4_SampleEntry Class Reference

`#include <Ap4SampleEntry.h>`

Inheritance diagram for AP4_SampleEntry:

List of all members.

## Public Member Functions
| AP4_SampleEntry (AP4_Atom::Type format, AP4_UI16 data_ref_index=1)
| AP4_SampleEntry (AP4_Atom::Type format, AP4_Size size, AP4_ByteStream &stream, AP4_AtomFactory &atom_factory)
AP4_UI16 | GetDataReferenceIndex ()
virtual AP4_Result | Write (AP4_ByteStream &stream)
virtual AP4_Result | Inspect (AP4_AtomInspector &inspector)
virtual AP4_SampleDescription * | ToSampleDescription ()
virtual void | OnChildChanged (AP4_Atom *child)
## Protected Member Functions
| AP4_SampleEntry (AP4_Atom::Type format, AP4_Size size)
virtual AP4_Size | GetFieldsSize ()
virtual AP4_Result | ReadFields (AP4_ByteStream &stream)
virtual AP4_Result | WriteFields (AP4_ByteStream &stream)
virtual AP4_Result | InspectFields (AP4_AtomInspector &inspector)
## Protected Attributes
AP4_UI08 | m_Reserved1 [6]
AP4_UI16 | m_DataReferenceIndex

## Detailed Description

Definition at line 50 of file Ap4SampleEntry.h.

## Constructor & Destructor Documentation

AP4_SampleEntry::AP4_SampleEntry | ( | AP4_Atom::Type | format,
|  | AP4_UI16 | data_ref_index = `1` |
| ) |  |  |

AP4_SampleEntry::AP4_SampleEntry | ( | AP4_Atom::Type | format,
|  | AP4_Size | size,
|  | AP4_ByteStream & | stream,
|  | AP4_AtomFactory & | atom_factory |
| ) |  |  |

AP4_SampleEntry::AP4_SampleEntry | ( | AP4_Atom::Type | format,
|  | AP4_Size | size |
| ) |  |  | `[protected]`

## Member Function Documentation

AP4_UI16 AP4_SampleEntry::GetDataReferenceIndex | ( |  | ) | `[inline]`

Definition at line 59 of file Ap4SampleEntry.h.

References m_DataReferenceIndex.

virtual AP4_Result AP4_SampleEntry::Write | ( | AP4_ByteStream & | stream | ) | `[virtual]`

Reimplemented from AP4_Atom.

virtual AP4_Result AP4_SampleEntry::Inspect | ( | AP4_AtomInspector & | inspector | ) | `[virtual]`

Reimplemented from AP4_Atom.

virtual AP4_SampleDescription* AP4_SampleEntry::ToSampleDescription | ( |  | ) | `[virtual]`

Reimplemented in AP4_EncaSampleEntry, AP4_EncvSampleEntry, AP4_AudioSampleEntry, AP4_VisualSampleEntry, AP4_MpegSystemSampleEntry, AP4_MpegAudioSampleEntry, AP4_MpegVideoSampleEntry, and AP4_Mp4sSampleEntry.

virtual void AP4_SampleEntry::OnChildChanged | ( | AP4_Atom * | child | ) | `[virtual]`

Reimplemented from AP4_ContainerAtom.

virtual AP4_Size AP4_SampleEntry::GetFieldsSize | ( |  | ) | `[protected, virtual]`

Reimplemented in AP4_AudioSampleEntry, AP4_VisualSampleEntry, and AP4_RtpHintSampleEntry.

virtual AP4_Result AP4_SampleEntry::ReadFields | ( | AP4_ByteStream & | stream | ) | `[protected, virtual]`

Reimplemented in AP4_AudioSampleEntry, AP4_VisualSampleEntry, and AP4_RtpHintSampleEntry.

virtual AP4_Result AP4_SampleEntry::WriteFields | ( | AP4_ByteStream & | stream | ) | `[protected, virtual]`

Reimplemented from AP4_ContainerAtom.

Reimplemented in AP4_AudioSampleEntry, AP4_VisualSampleEntry, and AP4_RtpHintSampleEntry.

virtual AP4_Result AP4_SampleEntry::InspectFields | ( | AP4_AtomInspector & | inspector | ) | `[protected, virtual]`

Reimplemented from AP4_ContainerAtom.

Reimplemented in AP4_AudioSampleEntry, AP4_VisualSampleEntry, and AP4_RtpHintSampleEntry.

## Member Data Documentation

AP4_UI08 AP4_SampleEntry::m_Reserved1[6]`[protected]`

Definition at line 78 of file Ap4SampleEntry.h.

AP4_UI16 AP4_SampleEntry::m_DataReferenceIndex`[protected]`

Definition at line 79 of file Ap4SampleEntry.h.

Referenced by GetDataReferenceIndex().

The documentation for this class was generated from the following file:

- Ap4SampleEntry.h